% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/aedseo-package.R
\docType{package}
\name{aedseo-package}
\alias{aedseo-package}
\alias{_PACKAGE}
\title{aedseo: Automated and Early Detection of Seasonal Epidemic Onset}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

A powerful tool for automating the early detection of seasonal epidemic onsets in time series data. It offers the ability to estimate growth rates for consecutive time intervals and calculate the sum of cases (SoC) within those intervals. It is particularly useful for epidemiologists, public health professionals, and researchers seeking to identify and respond to seasonal epidemics in a timely fashion. For reference on growth rate estimation, see Walling and Lipstich (2007) \doi{10.1098/rspb.2006.3754} and Obadia et al. (2012) \doi{10.1186/1472-6947-12-147}.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/ssi-dk/aedseo}
  \item \url{https://ssi-dk.github.io/aedseo/}
  \item Report bugs at \url{https://github.com/ssi-dk/aedseo/issues}
}

}
\author{
\strong{Maintainer}: Kasper Schou Telkamp \email{ksst@ssi.dk} (\href{https://orcid.org/0009-0001-5126-0190}{ORCID})

Authors:
\itemize{
  \item Lasse Engbo Christiansen \email{lsec@ssi.dk} (\href{https://orcid.org/0000-0001-5019-1931}{ORCID})
}

Other contributors:
\itemize{
  \item Statens Serum Institut, SSI [copyright holder, funder]
}

}
\keyword{internal}
